GNU bug report logs - #55804
29.0.50; xwidget-webkit cannot render local html file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: drshapeless <drsl@HIDDEN>; Keywords: notabug; dated Sun, 5 Jun 2022 10:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 55804 <at> debbugs.gnu.org:


Received: (at 55804) by debbugs.gnu.org; 28 Jun 2022 21:21:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 17:21:50 2022
Received: from localhost ([127.0.0.1]:56529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Iec-0006Ib-Mq
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 17:21:50 -0400
Received: from mail-pg1-f169.google.com ([209.85.215.169]:41518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1o6Iea-0006IK-JO
 for 55804 <at> debbugs.gnu.org; Tue, 28 Jun 2022 17:21:49 -0400
Received: by mail-pg1-f169.google.com with SMTP id 23so13368023pgc.8
 for <55804 <at> debbugs.gnu.org>; Tue, 28 Jun 2022 14:21:48 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=QkldVVuZAG7RcxeWp2VeWvAvwJejlY+k1VaZCDDPM2s=;
 b=lYToxk799WjVKZajk3JXFFF4I8eMJXoviCfNOoo827GCA6HREamWAGJ7Td5NiqdoRz
 Nv22PGJ92xHxxJ7PSQroALPQo9slbHcHh52CKsRUf66mPmp7VM88OsIRufuxx5qRecb3
 kNikVsnp26Hoj0iyHjibcCZquhMs0WBEHRigmh2IaEjETT477h/tILEsUTgEUYumU7jY
 TyBrY73xM4pZkNyvG38FYlfVzermmo0z01vNxNl3KaTSK0S458PjVfaETWxzywIhs2xY
 rk2C533cQ3EXmNlhJact2zBQrbGdC77xsinHS8Ds6BJoNHJI7j9HFsiMrQ1H2NvMbyGT
 SpQQ==
X-Gm-Message-State: AJIora/Otyn5uZUQCbh1Lugqf7lgmZCSdGEiugftEcelGjpAP0F3c/hZ
 jXxBpNJA6XhS+d2zc4Y7q4cb3Hw5iTzQ4kxewWY=
X-Google-Smtp-Source: AGRyM1uxEF2gMimLxFIqmEJsavmXBE2sf2BZraW8dMrPTOo2XtqpVdV+3vamj8IjDGkvRwz10JgjRjgSpa0bYY4gUDY=
X-Received: by 2002:a63:2254:0:b0:40d:d291:7710 with SMTP id
 t20-20020a632254000000b0040dd2917710mr15147782pgm.269.1656451303004; Tue, 28
 Jun 2022 14:21:43 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 28 Jun 2022 14:21:42 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87czffjq0q.fsf@HIDDEN> (Po Lu's message of "Sat, 11 Jun 2022
 21:20:05 +0800")
References: <87wndvmluy.fsf@HIDDEN> <87pmjnz5yj.fsf@HIDDEN>
 <87leubmfvw.fsf@HIDDEN> <87bkv7z1mu.fsf@HIDDEN>
 <875yl7xux4.fsf@HIDDEN> <838rq3xsbx.fsf@HIDDEN>
 <87czffjq0q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 28 Jun 2022 14:21:42 -0700
Message-ID: <CADwFkm=n4TYJ5iGA1W8y4d6mMn_BeNEdmc7M5AHWHxAfryR1Mg@HIDDEN>
Subject: Re: bug#55804: 29.0.50; xwidget-webkit cannot render local html file
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 55804
Cc: Jacky Li <drsl@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 55804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Po Lu <luangruo@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> Right, but I think it would be good to have this in etc/PROBLEMS.
>>
>> Thanks.
>
> Sure, I'll write something.

Did you write anything in etc/PROBLEMS?  Could this be closed?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.
Added tag(s) notabug. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55804 <at> debbugs.gnu.org:


Received: (at 55804) by debbugs.gnu.org; 11 Jun 2022 13:20:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 09:20:21 2022
Received: from localhost ([127.0.0.1]:52156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o012L-0001bO-B4
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 09:20:21 -0400
Received: from sonic306-21.consmr.mail.ne1.yahoo.com ([66.163.189.83]:46413)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1o012J-0001bC-Ru
 for 55804 <at> debbugs.gnu.org; Sat, 11 Jun 2022 09:20:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654953614; bh=Mqj1JWOrd/cBS6XjhjBWeLDPiBRN0M5C4Coxf3ILdRk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=ZhN702MbPl50hgGiwCRejul2YSyXzA0QkK3umT6MOAEEfCcbke5SP4CyJyOxlTlaEYfAzKEgCb0/JgdSpBKa3xhfjXJaN56NLnD2tGO2/l7aM32KZjericzwgcnuSu2CnuT0JSW9qV7jsjrZtnkpI/1oMb6Rs/sVYhDQ9J6EnFNeMRaAuuRe54vByysxLH0Dh6LbhFXmvn457UqYQeIAT/LhOzKliZNGkHjvP593VaJoPL5Bztq2KNnfVF8Hjd8k8ivefkjwKNUmTao53Cnn09mySdCbgblY/r/u0GQk+AqCtfz+DAzIZE9/nYVvN2QnA3JWjKBfUYFW1PNsZtOBhQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654953614; bh=rliBIAR2QsFHIFt27tfhlt0s3xBTiiwwSQPZ5pBIMbM=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=qezUBOCEjeraVbJw2gU3pRsTVze8/IFb9cT8E1ovt6BZ3Nvc0LPVNWJ8mvYI5x4TczmsbStk3TsgA9HG9PlCvmLxmrw3LmNyiaxvYpilkp/NExUDVqfY1HL8OAbh5kCRerM5s7lMahUN73QXvVcwHJglCEklfFVRR/6S5F+jP/3Evkj2n2rIYJ4H/9r51CgN6LwRkP2GiwyGN6mNo+EJPoZdnfHA603gbfEeiabaudWrMk0XDxZfdez1emQ2K/sumQKUoKuu1LSg5WcYlJox2VkCCSMO84ON43nSIysTvQOxcAuPXmLsurtO8ow1wQsSwSOYMlvCA5dSaVq77+NCfQ==
X-YMail-OSG: eINfJmUVM1k0t1MFiZL9DL5sg8ehnE_yyQsORsfT_eF1lvIQRdWf9moMzxTxJKf
 ic7Dd1wSUrjNtLAM6_jwAjb7V.f_.3XWALC8RpZc_TzrKHCg9W0.IfZBbT0bBZ7S0_2b_4ODsz6N
 qMrLfgCc4bhgVRMjofT8ltJ3Tj7pRgld.vK7HW7OFv3vCdDIbKRF6FUEsIiegMXh.wraspJR4pjQ
 UgOIFcB31v_zu8i2lCHBzZZkK9ilQNjeATP4n0KM2NIdv_PZJ0Ce15xQUKkFZmx6xrqZTeTyuza7
 Etc78TXDhXAHs8fyt3N9gsnuO6AdhYMrf8NAt_GR0XgUOvtZNOC0kLRhsBDAg1un5xxKz.UezVn8
 7.0e.dMEC8kO_jKmLcJxggut1zIIJCV1TXVXa0KDMnELlc3ICQKxwrm6XJRk46MqlNmY0VQ3fqK5
 kI9CztORmX5GEB.sXCbX3_0k0hqOxzXJtkLu1dgPNZG3a5hB8eOq9GWqtapL0CrWqyB4YTR1sbee
 _06hooKRqpXnqdd30O3LHlIA4ih1ArQJf3cqDxg_Y0_S4Gqd3Hk6aY68GiVuzYX5XWuEtgZ09q.T
 gAb8euEWR4MwzP7yebdt61kcGCm3SXtERuMjjEqKujXnH4fTaUdpOIu.H_USoO47QqDX13B4Rkc1
 uhKaNting3qZSCqpohzrDsuxYNiqtvZeHQrOn4J8WMhxC0aVYUmvWjPrWsY5eXqn487Q7w7Dszi1
 2BJ0zPCGZxi_4Uue2Ae7Fbpph5vhbbBKsEFfLGWupupAUs5pVGo.BJZRhJ6_ReWYluzsR1JxGzui
 vGj6CIo7So4nhSY.0gLD.QlD7dCC31qCo3H4cmQ7jSNQ0qV9wUp66JtVac.UXxzTHZAaOhBHK3rE
 EEC05ohNfjmCubTupy2LMhLof5_gZs2q2J4c1q3S8OM5F558RYMUBMm8VSLfaX9RyWywXUU2BO6l
 KcV3naj.T3gkGPs.LGZLr1taDNfcjwYcemuQYFn6ZQ110xaGNgk.82YB8lRX4VZu6AmA7xtRCEMc
 9pnTpE6A.6kUu84ujuKCM6CzCkg6cZ0CRRbCZHfSPe87Z6prNizJcNArriRL9b2KNLHQLi6YQxX6
 XLUjvJFBktjDEG.gq5deutumTZoGiLJGGdmE1Wt.emRVpQk6SdulP7QjeZ29wcoRJRCry80cLcjm
 TIN4E6ACTt8d_DtwVIqeWsYk_T7Ezfif8caw4eGB4XmJS9u9pV04U0bUPLoerrxiPQ6s5Glkl0ou
 uMD.YrRnPmtJyrlci7hCjqnAKr5vah8q95KoUAd4pHSSUC7RpxkMsIq37wzfaT_0LRB_y9QRRUsl
 RglZMiOO8JCyizFhl0C0N1.1DNQIVjL3n.nBBpUKilNR9JalM.RuXdUILg3kyyCc5Drs1Ui6Qje.
 eT_Y2NcJzweC7zrfILnIla_lQPqnUHZI0lOQKNljHumKIs6mxeeTywmA4onMGnQSoDj_9gaTXeSa
 7Q67Lt9aEoXBdwpXTeXZ9ezQcKM55q2ApOBWUiNmVuGILtTC1oMlBdlHEo.KkhLBxcmsYk5u9.46
 h4xLuSPF.ugpFopV5p07Pkwa.tDEZsVPDXWeHErdAfdV5yH2kKfdhhWlYO0.ZR.YB.ZALk8KhS.F
 zST.05Mz5CLzGxdccxMTHIDMWtJXCaTYFGpOruBnSB6wGelxFCYgEEuFyI6IX5vQYOKxhQQi0vXy
 hVwCDjgjtHydcCmO7wp_PKExzDgFc1ICQRkSzTrO0F7YxHltovRvRxsWqjRRJQTYSvgeuNwAUs4P
 Z1VK4DuLv_V91aPuc8zgGbFOSqMgynsJHohp2NsJ_qhrJuXTrdug7U9hrQgedcBQz6hkRoTgltBK
 64ditUNGCsBEAHQg_prspJ.9rafxTfWbu3Sx6SeeJZQZqjPaFFuVGS7.51MPz_4JU5OulOHH9Ra5
 _WOOXk3bLPHkYymM85.P2WZrMSZ1oRuKAlu38tqif.j5o9G1BqJ3vie.oLppdRkoyyaWQkBMZxYP
 GZvMP6xzqhIyUsyuk0BoMYFuL8uP1cgFXxAjuQNwx0RSQKSOLRqIYLuc8yph2aUGKPq8dbrzqQSL
 1zgqFnn2yhhxCKk1NjsCbczn43J8ly9DQ5hymu7H9UXwKRueayDR8blRpmcX0Pe6NzPNJ1vDLqoP
 mu0HR6VGetNJCba7rrhmUTjktzy9pzsqBkeopS35MFDy9WxzUC6fQF1e0sGxvURz3nvFSrq8Qbjv
 qa6b_CvvxgmfhfBHPk8keDf2XlislfN6G6oPy004_aKzPPTvbttEl6iLDHY0jTgglOW4-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Sat, 11 Jun 2022 13:20:14 +0000
Received: by hermes--canary-production-sg3-5f7658c994-r75sz (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID f6e5fb699740384e4e3ea809b4c6777a; 
 Sat, 11 Jun 2022 13:20:10 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#55804: 29.0.50; xwidget-webkit cannot render local html file
References: <87wndvmluy.fsf@HIDDEN> <87pmjnz5yj.fsf@HIDDEN>
 <87leubmfvw.fsf@HIDDEN> <87bkv7z1mu.fsf@HIDDEN>
 <875yl7xux4.fsf@HIDDEN> <838rq3xsbx.fsf@HIDDEN>
Date: Sat, 11 Jun 2022 21:20:05 +0800
In-Reply-To: <838rq3xsbx.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 11 Jun
 2022 16:06:26 +0300")
Message-ID: <87czffjq0q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20280
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 147
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55804
Cc: Jacky Li <drsl@HIDDEN>, 55804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Right, but I think it would be good to have this in etc/PROBLEMS.
>
> Thanks.

Sure, I'll write something.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.

Message received at 55804 <at> debbugs.gnu.org:


Received: (at 55804) by debbugs.gnu.org; 11 Jun 2022 13:06:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 09:06:45 2022
Received: from localhost ([127.0.0.1]:52120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o00pB-0001Gc-86
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 09:06:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o00p7-0001GN-GA
 for 55804 <at> debbugs.gnu.org; Sat, 11 Jun 2022 09:06:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54670)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o00p2-0003uO-7t; Sat, 11 Jun 2022 09:06:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=3IbAG/fqo3bTSg6VzdzW2+abc5Hw3X9azST23D5feME=; b=bEQQUiZjr2kR
 ww2HGvNokmrWLMFqtk6ax8uxXftm5+X/so+7nq83p0TwHQGszC9j9EvSQrz5Bhd25fohWI+hbTdnA
 FfPmk2HohlX45tjhck674ieYmQi55ZVDPLSP9sULsQmTgzzWo7o4kuGWV2uUkiOop7F1/NNDF7Je4
 RW1xa8i9eP5OoTqKf8xxIi4IQY0NjrXhLqeYV2xjVG6Ju+K9a31hiVFqHccag3hXfVrHZQEA8CG3R
 SJpdCIWuMV8WphBYY5HFtPg65sbCd3r2VcVUlRLeu2N3u53oMyQVRvLlwcx9j76Y2lPMVw1vdtsRa
 6TujkDINzjBZ/MTOngNx8A==;
Received: from [87.69.77.57] (port=3566 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o00p1-0007WB-N4; Sat, 11 Jun 2022 09:06:36 -0400
Date: Sat, 11 Jun 2022 16:06:26 +0300
Message-Id: <838rq3xsbx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jacky Li <drsl@HIDDEN>
In-Reply-To: <875yl7xux4.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#55804: 29.0.50; xwidget-webkit cannot render local html file
References: <87wndvmluy.fsf@HIDDEN> <87pmjnz5yj.fsf@HIDDEN>
 <87leubmfvw.fsf@HIDDEN> <87bkv7z1mu.fsf@HIDDEN>
 <875yl7xux4.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55804
Cc: luangruo@HIDDEN, 55804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 55804 <at> debbugs.gnu.org
> Date: Sat, 11 Jun 2022 20:10:31 +0800
> From:  Jacky Li via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Po Lu <luangruo@HIDDEN> writes:
> 
> > I guess that's because WebKit always tries to download local files.
> > It's been a while since I looked into that part of the xwidget code.  I
> > will try to find a way to provide an option to turn that behavior off.
> 
> A reddit user "lskph5vg" solved the
> bug. https://www.reddit.com/r/emacs/comments/v53jpw/xwidgets_cannot_render_local_file_on_linux/iby14j3/?context=3
> 
> This behaviour was first solved in stackoverflow by
> "DisableGraphics". https://stackoverflow.com/a/71740957
> 
> This is a bug due to faulty MIME type database, which can be solved by
> these commands.
> 
> rm ~/.local/share/mime/packages/user-extension-html.xml
> update-mime-database ~/.local/share/mime
> 
> Which seems to have nothing to do with webkitgtk or emacs, the bug can
> be closed.

Right, but I think it would be good to have this in etc/PROBLEMS.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.

Message received at 55804 <at> debbugs.gnu.org:


Received: (at 55804) by debbugs.gnu.org; 11 Jun 2022 12:11:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 11 08:11:21 2022
Received: from localhost ([127.0.0.1]:52049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzzxZ-000659-Ij
	for submit <at> debbugs.gnu.org; Sat, 11 Jun 2022 08:11:21 -0400
Received: from drshapeless.com ([173.199.127.49]:46978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drsl@HIDDEN>) id 1nzzxW-00064r-35
 for 55804 <at> debbugs.gnu.org; Sat, 11 Jun 2022 08:11:20 -0400
Received: from artix (n1164849140.netvigator.com [116.48.49.140])
 by drshapeless.com (Postfix) with ESMTPSA id 8F6752653;
 Sat, 11 Jun 2022 08:11:11 -0400 (EDT)
From: Jacky Li <drsl@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55804: 29.0.50; xwidget-webkit cannot render local html file
In-Reply-To: <87bkv7z1mu.fsf@HIDDEN>
References: <87wndvmluy.fsf@HIDDEN> <87pmjnz5yj.fsf@HIDDEN>
 <87leubmfvw.fsf@HIDDEN> <87bkv7z1mu.fsf@HIDDEN>
Date: Sat, 11 Jun 2022 20:10:31 +0800
Message-ID: <875yl7xux4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55804
Cc: 55804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> I guess that's because WebKit always tries to download local files.
> It's been a while since I looked into that part of the xwidget code.  I
> will try to find a way to provide an option to turn that behavior off.

A reddit user "lskph5vg" solved the
bug. https://www.reddit.com/r/emacs/comments/v53jpw/xwidgets_cannot_render_local_file_on_linux/iby14j3/?context=3

This behaviour was first solved in stackoverflow by
"DisableGraphics". https://stackoverflow.com/a/71740957

This is a bug due to faulty MIME type database, which can be solved by
these commands.

rm ~/.local/share/mime/packages/user-extension-html.xml
update-mime-database ~/.local/share/mime

Which seems to have nothing to do with webkitgtk or emacs, the bug can
be closed.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.

Message received at 55804 <at> debbugs.gnu.org:


Received: (at 55804) by debbugs.gnu.org; 5 Jun 2022 13:22:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 09:22:21 2022
Received: from localhost ([127.0.0.1]:60293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxqCz-0006os-Jg
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 09:22:21 -0400
Received: from sonic301-31.consmr.mail.ne1.yahoo.com ([66.163.184.200]:39209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nxqCy-0006oc-4e
 for 55804 <at> debbugs.gnu.org; Sun, 05 Jun 2022 09:22:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654435334; bh=pAC+xSXkQEQJWmHdnR5ABvtgy2iIo3N/tGW6aS6YVH0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=OXNuClaL8OIuVwCePdh9YYBDYA/ekR7txsNggkRx+FhV+g4JbC15kErNBZUE90bfHD8Zq5UTCaXeiSAJTnxJpXnE6AoGv5KOBMqY5i226JTvjSb+87YyNJQeMPwbLLb/72wJEXciN6mH8sv/1onYDoj1R/SUINzYja5R+Feql7ds+fVvpHuUMYagZDM3YaKiThkRXpGq6jBWCU+tENBhgydRxrSwd9LfujdY/nuQIFp0BNZGtObq1f8DbLH1vqr6ldWy4UR3W0j9KXtLX5GD6KXIPWXlTsmbg5KWCITArLD9bytaxi//ganiHCR6DtiEDQbLUa4+mGSLfZszjntUrg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654435334; bh=RYbLMzNS+zoDc4SgeBJvPvpFbi/DOmqmsF58iTtxHqq=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=H6TPI51wkTwDsMsS7i4Yx/2SRQwBEoWkH60giJ7naypQn1cmITNKJmqG+aq6GwrkUmv6f47LNoLIktQdOOwjK89pNu+eh6R5vmkeFPZoToesiAbp9oq9DleG6Rp4UskStGRLqO5Qtfcj02k+zlKaYIxk0fAIaZQZ8IJ9dcgADc2c/LRcUT6nmxDg3rfdxNf8y/06DwP/Ee/YPAJqDV2ndMQXELVvQZyrcZcuuNN2djn9RBWNfLs0yMuGj6Q6bGl92ZajD9DmtrIbVZtohmpO0Ow+hgFcHNc4SCAoqDpr4Ox2ipNdrBYZx0kvyuk43AnSzZE61VmeJeWNVIJDy9Oxtg==
X-YMail-OSG: rXDmgwEVM1n33TJHXD5hlCQ_E5Zkk8YWopIG2cmake7dCiYPvmCXNstvMGhLAj_
 lVR5k0B0EFLdHSztNBRX0Xj5KAY0wp9YHN3SANWEcy5JujAYH.eLbKmLmme4E2fma22g5NC_J5hx
 VY4xH5Zf3LE6F.4RwYejsDUNT7xDQv9H8vReQqOeO0PY4akixOeEiWL0zRQy3dHnzCNWWy6gny8S
 t.ioScruCDSzpj84cgq3w1T2p51hs1vaITOsQJBE264k7ih5G2Q37USon0pfnS6QA93gq11nb_wC
 qixNcGlxfTxvu6UtsYn56SnnREdTKKdffRtj24UTYojZv2lmo44vQsfjM78kMhOglZTnUKEtR76G
 .jLtkfdSdVT5_p5MAV7RlSJBbriL6p1dMWciw9xYm4JQb7ILFdOicq2X.TXnuI._5415ftHxf9Sx
 YpPIo5CCPzA3HXWN9gC_1o1Yy4xbH9UqASndedbbdyQCkpWUGjYDymNfz_k7IT23Y2XPtOct29wT
 LhRJw2APwz1NkuMa4qpnTeT.x0hPfTzDzHR.NYhH7RGOvaW3YNM4eKnoOWEZKpxW.HR5q1xbnMqh
 LiefMqbpZkZXhKmWrCCOf7OOeeV1rp45ejDxA5ibMUc8y3jo1p0GXKvDW_QauzMKpgK4IcMRhC7i
 cdq6I42blrRYvRFyvy8cTqiMBNZmTD1gM7IpGtu2xKKC018BuOxWlA_XfdHNhaIq3n.3Ky_B7wit
 lw4DLaJbCLnGJ2kjy7bivOfoSD5oBIrf5YjyDZaNcG12FLU7xLqbXgm33iRsrTL4DqGAkwjKtvZ1
 vdvxAOmDF0u47WOnzPbvDGQM4PZGyhsMpBH6c1UOT8XEKhfK5YHPBoGLTvT_VJxgpNOiEv9LMWbT
 gIZmOye8OztHLawNKJp.8OzCg71_7E_I1yWNegT7aJ29MdgG6jVBtoBn9mN90Y45LLgMHfcS2UZK
 RsU8VRgM_IML1aIuC7SLXXpXwEIpuVmWz9K0AMYRMUMHSrlZyuS1zz4yJhvI9wfq7Nte.xdMsqq_
 t5kJhL6dnoJFPRZRyanbvfste_iFYBtsEn1xOMY_O5YL4FnyO3haGOzbznVth_.LmL3_jYhrWCTG
 CiJi5ppxj32eczzCndYMcJt9oR21Hi79rP0uD3FQ40ybTQimsKIvPterV4TnoVrU7ZkRGS3lk2Kl
 yqx7CkhwOJRDaEstSbFEv2m2fCdi3yJhdEXa3hzYWK0556BsKWT6RwZ53kJKTceaVMmNOvmHdLMi
 ZM_EJTYgavi8nWjtu5bKRUP8FY62t0Z4KMlubb4OuoiIHPJn2gWp2mArV9IFu9jMgA91.8YWX73W
 cTLoaUtaYyNmgVjd0YzkUWr21bRJQV5maLQeYuw9QQ.552Bp4BKR4ikHW.wPPOx33bR4_SMAmIYS
 ld3_QpD5LEXjuekN3XXgWta3w_haqsHpC0yevs7QBopJrSR3kEf1TpAX9zBsGg8FXaASWRvdytwG
 pAlw9FxPBF46nYuuSDzN75EwXPaAt7xgnlsqrv5n9SgrgxEtPDfxFNN2J6RGjGVwTKfIxbziuJT_
 uDbqxC_XotkZ5N_H6rih1GDlc_qdILpw4DBNDPx6YM36okjEmssazd3Ul.ToN91cG29TqgdI4.au
 gmFRZd0oWOzGkjsPrazUXpGpsTl7Z3fl_Pt6lA4o7X4Fi4BeMKrQNoJi87t0N75D91gUKGC6h4yq
 qSlCgK24TMKXCVF_VfpY0QOc_dkNBJSOBbSSaW1X3_ZwKCF4lSSBktuL3ibhraljI7YfZ5Z6CWm5
 WlI6iV3xonIYM3utQNqxfQlX6KAeQcZIqgl44o.NxwXTYcJHDLA2zgbz2mSySIVpPaUZQZCJZTzY
 q1ZBj2pjNyywnn41ztkuNBX0Nbd64CHXpzm6GIXPKNw2LNAs9xtw4953KyWIGXNqeT5rtP1nKh9P
 u7oBzUDzxFMTUQs_nZUXtsQE0E9SYvexARa0JnslmN6BUDRzr8qKQ4b.z2jCXkPnbOUNzPxWIL8O
 Bi24GV8PG3dhpFQnJ0qqChDOMoJV1eTdBpCG5Dg8olTx_nZsXqUn3YfmTw3BItZVXM60CWQeY6HA
 c8PZmWNF8wiP.WiYuhUkFkK6lcBoQKgDISPKNYeupVU4xUJRfNsTHAY1YIICkE83PWG2LS7KjRAq
 .WTzwjJm6qnzb4bgRKicVad2qq3mUnAU3aepMnZTUUpIfbu9Y9EkpH9TNarffblkE.N0I0efcqxh
 W0IiXtIIP_pgr_Y387s3DuyhDBdz.CjOE4_BCZd9XIIcSAZDR7nMYaL7dzIMR
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Sun, 5 Jun 2022 13:22:14 +0000
Received: by hermes--canary-production-sg3-5f7658c994-7rkj7 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID c8aa9c0f4a757c44e75901ecffdb60af; 
 Sun, 05 Jun 2022 13:22:08 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: drshapeless <drsl@HIDDEN>
Subject: Re: bug#55804: 29.0.50; xwidget-webkit cannot render local html file
References: <87wndvmluy.fsf@HIDDEN> <87pmjnz5yj.fsf@HIDDEN>
 <87leubmfvw.fsf@HIDDEN>
Date: Sun, 05 Jun 2022 21:22:01 +0800
In-Reply-To: <87leubmfvw.fsf@HIDDEN> (drshapeless's message of "Sun, 
 05 Jun 2022 20:52:35 +0800")
Message-ID: <87bkv7z1mu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 475
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55804
Cc: 55804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

drshapeless <drsl@HIDDEN> writes:

> I just tried epiphany, it does not open local html as well, instead it
> downloads the local file...
>
> I think it is not a Emacs bug then. There should be something wrong with
> webkitgtk. This behaviour is stupid.

I guess that's because WebKit always tries to download local files.
It's been a while since I looked into that part of the xwidget code.  I
will try to find a way to provide an option to turn that behavior off.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.

Message received at 55804 <at> debbugs.gnu.org:


Received: (at 55804) by debbugs.gnu.org; 5 Jun 2022 12:53:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 08:53:17 2022
Received: from localhost ([127.0.0.1]:60247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxpkr-00067E-MJ
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 08:53:17 -0400
Received: from drshapeless.com ([173.199.127.49]:46974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drsl@HIDDEN>) id 1nxpkp-00066z-MD
 for 55804 <at> debbugs.gnu.org; Sun, 05 Jun 2022 08:53:16 -0400
Received: from artix (n1164849140.netvigator.com [116.48.49.140])
 by drshapeless.com (Postfix) with ESMTPSA id CDF7D2648;
 Sun,  5 Jun 2022 08:53:08 -0400 (EDT)
From: drshapeless <drsl@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55804: 29.0.50; xwidget-webkit cannot render local html file
In-Reply-To: <87pmjnz5yj.fsf@HIDDEN>
References: <87wndvmluy.fsf@HIDDEN> <87pmjnz5yj.fsf@HIDDEN>
Date: Sun, 05 Jun 2022 20:52:35 +0800
Message-ID: <87leubmfvw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55804
Cc: 55804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> Does this only happen in Emacs, or in other WebKitGTK-based browsers
> (try Epiphany) as well?

I just tried epiphany, it does not open local html as well, instead it
downloads the local file...

I think it is not a Emacs bug then. There should be something wrong with
webkitgtk. This behaviour is stupid.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.

Message received at 55804 <at> debbugs.gnu.org:


Received: (at 55804) by debbugs.gnu.org; 5 Jun 2022 11:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 07:48:53 2022
Received: from localhost ([127.0.0.1]:60209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxokX-0004Yg-Ob
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 07:48:53 -0400
Received: from sonic302-21.consmr.mail.ne1.yahoo.com ([66.163.186.147]:45770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nxokW-0004YT-AD
 for 55804 <at> debbugs.gnu.org; Sun, 05 Jun 2022 07:48:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654429725; bh=sL2wH3cBldBruYR29BUnHqF0lGiEgEzgWd5whfpTj7c=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=iWTEmXLtgkfR6UkHOfi7+kAEWuPASlyBTI58HgdVnxV1U5M4/uQYjudIZe1e9qVjcA+lYl0vvATJQKhkM26wYhWAAcKD/tn361Tl7AUjosJew+lOkL24HapO2q/0MX1sdxVfVr5u+GB4pbKJ/92gYX0FPV2yWl+yGdIUEjVuLLj4v0pmODYy2vM9kQstvBUNplWWR4jBk4moFGMfQUyNEEDu0i14jToO0mibWMstNcvOoKwfXg+PU1URMcDgBx2owsbTgYM0lmIypWvseyC3cogW1Ap4q+Hsu/VuIGMey9ZqjrmgHf2nrtIK+QpUnrj7XzHRGHNRmdpr49yzYBrBFA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1654429725; bh=7ABlGrJOWWwiKn/2StTMf4CRzZaXffUy/ig4bv0lJez=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=s+NddC3m/0/UPkCxCojRlYVcIff4EQJqCrrTGgZwF5yroWk5Ii2dMzJXKj6gXN9XQuRV6Y2j65tppw3wjURfuYrESEKB/Tf6qAnoYYdkYPkEkrtZFeN90ZKPO4X6lyxi0lv3qb1ghs8fdPTmwBubDcwYG5MVmBnwlKfi7C6xIq5UBMO0ZPbWIyKxTJpSei1jWR8Za/yx4VWR75Ahus0hU/AEYzisywFrYu2NU6SKo53Iy+QLv7Wivy7qzRZ7gFHYFXfVJF564rr/YWnhhKCVh6WgYVGGxSnaUpKEsJl1WkE88feJwa5JGXIJQBY8fbD13g83dAJMy0yJ8ut5aJH6FQ==
X-YMail-OSG: eChr77cVM1nXi4h2eV2I3jDIvQLiu3qz6KwryTi9.88BNrAy_YpegrqyjlfhmyR
 a_E67l_wD5CExbtb6NA6NrhPf6gTkBCSgyfx_IhzPo_djrFHRE6BtJOgxY.OKYdqDETJpynZrBCD
 1mzJFlpS1.v6u1ThehwpK.PhyRC22ScYFyLuDcF0LFPJWQzlcDgqpRF6HltZ67YnQjspLT79X.V5
 h9GE3GZsTYRbwenw34A0rL6useg4bwsJKeUgDt8qdYohrTtLCatAZP53BZIn7JU0g635rpXkWdpU
 TKXRcn2kjKFP1P4WZuTDwGOzGaSdtaTSKLhZIqkB03ExbjYatcICHTiDCDM.SR2K4az4oQD4ndUf
 fT3u_uDM4CusHZnIh2CrWfjAWxvK_wTIv3Rqa8xjBeRQhed914Lh4Vzr_j5HM.NcE1x2jW1OddoN
 snbjb7pqGBKwZAa.7nlURdUxMLaYzn.DqJW5DA7lvfkPSfxTQK0kgSi_9dg4dh5Ho7vvxGYKWGPX
 SFeL._CVCav7hRaDex81tcThT71iounbM1r03_8ACS.4mJePDf56CyVM6LXV0lejIB6efNUHKGgX
 CTBJ_s_6F9MgVimV2yDha1kptv6t1nxkHwEWGhOoVvQkeezFAV0C_yS61nn..NkIhiyqReNdJNb9
 e3NXq.V74Mzrj61iWYi.rFzlKXe7C8GuS8XpOIYj.zFoxDhYcyJfmbGJ12whmyzCBp9MvWM8YYPT
 ZRDkCIU2I2vGaYQwk206pBIS6MLUpu33EBY4CO6uvjTdgWJVtjbfcwBRgcq0DGygim3HxLTQX.4n
 2upnoQ7De2W5EZRxHFpJ1epouCPjoO0PLFbQQSZTEsQq5fycik.JuQjDRLU9_zar2_zmG9VGl4l0
 nUicVGQDWvZPeOTAwB6hJ1mhayX1cfjlkNYizlcYfK5fDrIorYwdw8JLbzmYN0S6ytOPdyyfcwjI
 2uUjEKdi0ub_scA8WRp1MbuJvGtlk7y65XOOamnewiKDNAuDubIh7PCa8NmjKvZ2S6AIyOzJAVQh
 GXUE08XHzmkCs_d6p6qAgUBpJtkrKs4SURO0Eg3K1PDkGas53Dvvs9akFoh5kLeA0P_YQe1EKnqH
 Rjdz9ErN6bw.GcuyUAWj_2ONdVCxWsTlPTLbqV15B8J_PKATopkRsN2rw5ov7Mtthvlci0.xWd01
 Kd8TXBo8I.glmJDj_WD7qDfGWodPo_3.fUedrAALkSpPqViFeGXwWfzfSfIvNuArCARZGbNfrUsV
 .wHb__yd9eQncDEw1QVMZbeFbd_wS92sSni.7VZIzr7KqGn_uHE00nqy1YLq8_xQm.HhtTj8mgBG
 _jf8iAGKGdjIf5zobkZ4OfAdMnFEE6R0L1HAvtDX8gIRubp_DEmvCgxTkn4Eb6Y1PQ8IBchYdOZk
 fagSyYZUZwMxppgxt0Uv0Rmw4dcPE76BJ54DPDPaDwlZscLB0inz2AyHqI.1FRGHAQFuhqVy0cD.
 FQ3clG9dLz_X3xP9NkZ.7WGkPJYLy54zSqVyaWPcH4iJb2QeAlitU6Dpb6ozJDWtGPpuU11Gku0x
 OfOhQWJ4w._zgECyqX1G2Q5yvuYUQPDOZ98vffESRlqylmn8WuMK01kE_9M4uW38Wn2Tw607Bggk
 h3kEeFhjnzzrMSz982AFq.QtBueKARhri36qtK5DObpo6vh68sw3_.swoRBhwRSDjJ7BfZrmcmVs
 Q_pH0bNS8ZMmF00P0Nq8SQIu89AZdaUof8mFVSZmeEXy_MMVGHzfKVrgtg.vKD2czWAgnQezwuEc
 Q6sduO9J5mQzski0nvDmwg77HIv33nxcW9VCdytKPCo2cN61uk8hDm5m_RbtDmddt.Gzi10JoUuI
 m94W1nV60lKiaEpj66pPosXGMfhw3egwDkewVwyPszkp6E5Duk3HpM5GwcSKlOYpQzbipVmlzgp7
 25a55QiFrVUTnWQ2JhWHlADDcuivVLTh6TsKxSpdlcQZAPA8v_oS5FfxXHns_wnktgy6atJIGsvl
 LEtD3_3I21iebdAiJABdpBLTGAuGA00rRGBKw_ymRiWveUB7xbJ.asnFD0W3SpeSl1KrDNFjOUZT
 hzWHUioYfjsu4fAmuYqTtlmOt8EZI0Be4pW4kEnqtyTdf48K97XduPawOD0_RVe2UlPH4iWDKp_Y
 _NOAeK.lMbZHi1RRE8jvdjZI3CI3jUsLVhRNJ5hS2XRcsSrKDRufYJxIKwnM5MUaFlHjctnyHH3L
 DMkYCODzCogI3VGFo1t1TGXOZ9CGzCKDzRz34ki_D4t5E8A2poWtq4QcsDYc.
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Sun, 5 Jun 2022 11:48:45 +0000
Received: by hermes--canary-production-sg3-5f7658c994-7rkj7 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 24ca0f10e905d03093ec94ce4616407f; 
 Sun, 05 Jun 2022 11:48:42 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: drshapeless <drsl@HIDDEN>
Subject: Re: bug#55804: 29.0.50; xwidget-webkit cannot render local html file
References: <87wndvmluy.fsf@HIDDEN>
Date: Sun, 05 Jun 2022 19:48:36 +0800
In-Reply-To: <87wndvmluy.fsf@HIDDEN> (drshapeless's message of "Sun, 
 05 Jun 2022 18:43:33 +0800")
Message-ID: <87pmjnz5yj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 737
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55804
Cc: 55804 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

drshapeless <drsl@HIDDEN> writes:

> When I use `xwidget-webkit-browse-url` to browse local html files,
> e.g. "file:///home/user/test.html", only a blank page is shown.
>
> But when I use `xwidget-webkit-browse-url` to browse external websites,
> it can render normally, e.g. "https://google.com".
>
> I thought xwidget did not support browsing local file, but from my
> testing, every type of files other than html, including directories, can
> be opened, e.g. "file:///home/user/test.png", "file:///home/user/".
>
> This behaviour can only be observed on Linux machine, on macOS, it is
> fine. I suspect the bug is related to gtk.

Does this only happen in Emacs, or in other WebKitGTK-based browsers
(try Epiphany) as well?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2022 10:44:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 06:44:27 2022
Received: from localhost ([127.0.0.1]:60141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxnkA-0000j1-Lz
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 06:44:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:36368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drsl@HIDDEN>) id 1nxnk6-0000ir-Tc
 for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 06:44:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33744)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <drsl@HIDDEN>)
 id 1nxnk4-00036N-Di
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2022 06:44:22 -0400
Received: from drshapeless.com ([173.199.127.49]:34138)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <drsl@HIDDEN>)
 id 1nxnk1-00023W-D9
 for bug-gnu-emacs@HIDDEN; Sun, 05 Jun 2022 06:44:20 -0400
Received: from artix (n1164849140.netvigator.com [116.48.49.140])
 by drshapeless.com (Postfix) with ESMTPSA id C85F9263F
 for <bug-gnu-emacs@HIDDEN>; Sun,  5 Jun 2022 06:44:07 -0400 (EDT)
From: drshapeless <drsl@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; xwidget-webkit cannot render local html file
Date: Sun, 05 Jun 2022 18:43:33 +0800
Message-ID: <87wndvmluy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=173.199.127.49; envelope-from=drsl@HIDDEN;
 helo=drshapeless.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


When I use `xwidget-webkit-browse-url` to browse local html files,
e.g. "file:///home/user/test.html", only a blank page is shown.

But when I use `xwidget-webkit-browse-url` to browse external websites,
it can render normally, e.g. "https://google.com".

I thought xwidget did not support browsing local file, but from my
testing, every type of files other than html, including directories, can
be opened, e.g. "file:///home/user/test.png", "file:///home/user/".

This behaviour can only be observed on Linux machine, on macOS, it is
fine. I suspect the bug is related to gtk.


In GNU Emacs 29.0.50 (build 17, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cairo version 1.17.6)
 of 2022-06-05 built on artix
Repository revision: 993853531aebb303870d6ff1ba7db2007d464b63
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Artix Linux

Configured using:
 'configure --with-native-compilation --with-imagemagick --with-x
 --with-x-toolkit=gtk3 --with-xinput2 --with-xwidgets'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
IMAGEMAGICK JPEG JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XINPUT2 XPM XWIDGETS
GTK3 ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF8
  value of $LANG: en_US.UTF8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: xwidget-webkit

Minor modes in effect:
  global-auto-revert-mode: t
  electric-pair-mode: t
  display-time-mode: t
  windmove-mode: t
  exwm-firefox-mode: t
  pixel-scroll-precision-mode: t
  sly-symbol-completion-mode: t
  emms-playing-time-display-mode: t
  emms-playing-time-mode: t
  shell-switcher-mode: t
  corfu-history-mode: t
  global-corfu-mode: t
  corfu-mode: t
  projectile-mode: t
  global-aggressive-indent-mode: t
  which-key-mode: t
  marginalia-mode: t
  savehist-mode: t
  vertico-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  mood-line-mode: t
  org-roam-db-autosync-mode: t
  shell-dirtrack-mode: t
  leaf-key-override-global-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/jacky/.emacs.d/straight/build/transient/transient hides /usr/local/share/emacs/29.0.50/lisp/transient
/home/jacky/.emacs.d/straight/build/jsonrpc/jsonrpc hides /usr/local/share/emacs/29.0.50/lisp/jsonrpc
/home/jacky/.emacs.d/straight/build/xref/xref hides /usr/local/share/emacs/29.0.50/lisp/progmodes/xref
/home/jacky/.emacs.d/straight/build/flymake/flymake hides /usr/local/share/emacs/29.0.50/lisp/progmodes/flymake
/home/jacky/.emacs.d/straight/build/project/project hides /usr/local/share/emacs/29.0.50/lisp/progmodes/project
/home/jacky/.emacs.d/straight/build/org/ob-awk hides /usr/local/share/emacs/29.0.50/lisp/org/ob-awk
/home/jacky/.emacs.d/straight/build/org/ox-beamer hides /usr/local/share/emacs/29.0.50/lisp/org/ox-beamer
/home/jacky/.emacs.d/straight/build/org/org-attach hides /usr/local/share/emacs/29.0.50/lisp/org/org-attach
/home/jacky/.emacs.d/straight/build/org/ol-eww hides /usr/local/share/emacs/29.0.50/lisp/org/ol-eww
/home/jacky/.emacs.d/straight/build/org/oc-basic hides /usr/local/share/emacs/29.0.50/lisp/org/oc-basic
/home/jacky/.emacs.d/straight/build/org/ox-org hides /usr/local/share/emacs/29.0.50/lisp/org/ox-org
/home/jacky/.emacs.d/straight/build/org/oc-csl hides /usr/local/share/emacs/29.0.50/lisp/org/oc-csl
/home/jacky/.emacs.d/straight/build/org/ob-latex hides /usr/local/share/emacs/29.0.50/lisp/org/ob-latex
/home/jacky/.emacs.d/straight/build/org/org-mouse hides /usr/local/share/emacs/29.0.50/lisp/org/org-mouse
/home/jacky/.emacs.d/straight/build/org/ob-lua hides /usr/local/share/emacs/29.0.50/lisp/org/ob-lua
/home/jacky/.emacs.d/straight/build/org/org-compat hides /usr/local/share/emacs/29.0.50/lisp/org/org-compat
/home/jacky/.emacs.d/straight/build/org/ob-clojure hides /usr/local/share/emacs/29.0.50/lisp/org/ob-clojure
/home/jacky/.emacs.d/straight/build/org/ox hides /usr/local/share/emacs/29.0.50/lisp/org/ox
/home/jacky/.emacs.d/straight/build/org/ox-md hides /usr/local/share/emacs/29.0.50/lisp/org/ox-md
/home/jacky/.emacs.d/straight/build/org/ol-mhe hides /usr/local/share/emacs/29.0.50/lisp/org/ol-mhe
/home/jacky/.emacs.d/straight/build/org/ob-emacs-lisp hides /usr/local/share/emacs/29.0.50/lisp/org/ob-emacs-lisp
/home/jacky/.emacs.d/straight/build/org/ob-octave hides /usr/local/share/emacs/29.0.50/lisp/org/ob-octave
/home/jacky/.emacs.d/straight/build/org/org-id hides /usr/local/share/emacs/29.0.50/lisp/org/org-id
/home/jacky/.emacs.d/straight/build/org/org-tempo hides /usr/local/share/emacs/29.0.50/lisp/org/org-tempo
/home/jacky/.emacs.d/straight/build/org/ox-publish hides /usr/local/share/emacs/29.0.50/lisp/org/ox-publish
/home/jacky/.emacs.d/straight/build/org/org-plot hides /usr/local/share/emacs/29.0.50/lisp/org/org-plot
/home/jacky/.emacs.d/straight/build/org/org-feed hides /usr/local/share/emacs/29.0.50/lisp/org/org-feed
/home/jacky/.emacs.d/straight/build/org/ob-C hides /usr/local/share/emacs/29.0.50/lisp/org/ob-C
/home/jacky/.emacs.d/straight/build/org/org-inlinetask hides /usr/local/share/emacs/29.0.50/lisp/org/org-inlinetask
/home/jacky/.emacs.d/straight/build/org/ob-makefile hides /usr/local/share/emacs/29.0.50/lisp/org/ob-makefile
/home/jacky/.emacs.d/straight/build/org/ox-texinfo hides /usr/local/share/emacs/29.0.50/lisp/org/ox-texinfo
/home/jacky/.emacs.d/straight/build/org/ob-sass hides /usr/local/share/emacs/29.0.50/lisp/org/ob-sass
/home/jacky/.emacs.d/straight/build/org/ob-gnuplot hides /usr/local/share/emacs/29.0.50/lisp/org/ob-gnuplot
/home/jacky/.emacs.d/straight/build/org/ob-haskell hides /usr/local/share/emacs/29.0.50/lisp/org/ob-haskell
/home/jacky/.emacs.d/straight/build/org/org-archive hides /usr/local/share/emacs/29.0.50/lisp/org/org-archive
/home/jacky/.emacs.d/straight/build/org/org-mobile hides /usr/local/share/emacs/29.0.50/lisp/org/org-mobile
/home/jacky/.emacs.d/straight/build/org/org-faces hides /usr/local/share/emacs/29.0.50/lisp/org/org-faces
/home/jacky/.emacs.d/straight/build/org/ob-forth hides /usr/local/share/emacs/29.0.50/lisp/org/ob-forth
/home/jacky/.emacs.d/straight/build/org/ob-lilypond hides /usr/local/share/emacs/29.0.50/lisp/org/ob-lilypond
/home/jacky/.emacs.d/straight/build/org/ob-ditaa hides /usr/local/share/emacs/29.0.50/lisp/org/ob-ditaa
/home/jacky/.emacs.d/straight/build/org/ox-html hides /usr/local/share/emacs/29.0.50/lisp/org/ox-html
/home/jacky/.emacs.d/straight/build/org/ob-sql hides /usr/local/share/emacs/29.0.50/lisp/org/ob-sql
/home/jacky/.emacs.d/straight/build/org/ol-man hides /usr/local/share/emacs/29.0.50/lisp/org/ol-man
/home/jacky/.emacs.d/straight/build/org/org-capture hides /usr/local/share/emacs/29.0.50/lisp/org/org-capture
/home/jacky/.emacs.d/straight/build/org/org-keys hides /usr/local/share/emacs/29.0.50/lisp/org/org-keys
/home/jacky/.emacs.d/straight/build/org/org-pcomplete hides /usr/local/share/emacs/29.0.50/lisp/org/org-pcomplete
/home/jacky/.emacs.d/straight/build/org/org-macro hides /usr/local/share/emacs/29.0.50/lisp/org/org-macro
/home/jacky/.emacs.d/straight/build/org/org-version hides /usr/local/share/emacs/29.0.50/lisp/org/org-version
/home/jacky/.emacs.d/straight/build/org/ol-eshell hides /usr/local/share/emacs/29.0.50/lisp/org/ol-eshell
/home/jacky/.emacs.d/straight/build/org/ob-scheme hides /usr/local/share/emacs/29.0.50/lisp/org/ob-scheme
/home/jacky/.emacs.d/straight/build/org/org-protocol hides /usr/local/share/emacs/29.0.50/lisp/org/org-protocol
/home/jacky/.emacs.d/straight/build/org/org-indent hides /usr/local/share/emacs/29.0.50/lisp/org/org-indent
/home/jacky/.emacs.d/straight/build/org/org-goto hides /usr/local/share/emacs/29.0.50/lisp/org/org-goto
/home/jacky/.emacs.d/straight/build/org/org-timer hides /usr/local/share/emacs/29.0.50/lisp/org/org-timer
/home/jacky/.emacs.d/straight/build/org/ob-perl hides /usr/local/share/emacs/29.0.50/lisp/org/ob-perl
/home/jacky/.emacs.d/straight/build/org/ob-eval hides /usr/local/share/emacs/29.0.50/lisp/org/ob-eval
/home/jacky/.emacs.d/straight/build/org/ob-calc hides /usr/local/share/emacs/29.0.50/lisp/org/ob-calc
/home/jacky/.emacs.d/straight/build/org/org-habit hides /usr/local/share/emacs/29.0.50/lisp/org/org-habit
/home/jacky/.emacs.d/straight/build/org/org-footnote hides /usr/local/share/emacs/29.0.50/lisp/org/org-footnote
/home/jacky/.emacs.d/straight/build/org/org-agenda hides /usr/local/share/emacs/29.0.50/lisp/org/org-agenda
/home/jacky/.emacs.d/straight/build/org/ol hides /usr/local/share/emacs/29.0.50/lisp/org/ol
/home/jacky/.emacs.d/straight/build/org/ol-gnus hides /usr/local/share/emacs/29.0.50/lisp/org/ol-gnus
/home/jacky/.emacs.d/straight/build/org/ol-bibtex hides /usr/local/share/emacs/29.0.50/lisp/org/ol-bibtex
/home/jacky/.emacs.d/straight/build/org/ox-ascii hides /usr/local/share/emacs/29.0.50/lisp/org/ox-ascii
/home/jacky/.emacs.d/straight/build/org/org-entities hides /usr/local/share/emacs/29.0.50/lisp/org/org-entities
/home/jacky/.emacs.d/straight/build/org/org-lint hides /usr/local/share/emacs/29.0.50/lisp/org/org-lint
/home/jacky/.emacs.d/straight/build/org/org-crypt hides /usr/local/share/emacs/29.0.50/lisp/org/org-crypt
/home/jacky/.emacs.d/straight/build/org/ob-matlab hides /usr/local/share/emacs/29.0.50/lisp/org/ob-matlab
/home/jacky/.emacs.d/straight/build/org/ol-doi hides /usr/local/share/emacs/29.0.50/lisp/org/ol-doi
/home/jacky/.emacs.d/straight/build/org/oc-biblatex hides /usr/local/share/emacs/29.0.50/lisp/org/oc-biblatex
/home/jacky/.emacs.d/straight/build/org/ox-latex hides /usr/local/share/emacs/29.0.50/lisp/org/ox-latex
/home/jacky/.emacs.d/straight/build/org/org-src hides /usr/local/share/emacs/29.0.50/lisp/org/org-src
/home/jacky/.emacs.d/straight/build/org/ob-R hides /usr/local/share/emacs/29.0.50/lisp/org/ob-R
/home/jacky/.emacs.d/straight/build/org/org-list hides /usr/local/share/emacs/29.0.50/lisp/org/org-list
/home/jacky/.emacs.d/straight/build/org/ol-docview hides /usr/local/share/emacs/29.0.50/lisp/org/ol-docview
/home/jacky/.emacs.d/straight/build/org/ob-comint hides /usr/local/share/emacs/29.0.50/lisp/org/ob-comint
/home/jacky/.emacs.d/straight/build/org/ob hides /usr/local/share/emacs/29.0.50/lisp/org/ob
/home/jacky/.emacs.d/straight/build/org/ob-processing hides /usr/local/share/emacs/29.0.50/lisp/org/ob-processing
/home/jacky/.emacs.d/straight/build/org/oc-natbib hides /usr/local/share/emacs/29.0.50/lisp/org/oc-natbib
/home/jacky/.emacs.d/straight/build/org/ob-maxima hides /usr/local/share/emacs/29.0.50/lisp/org/ob-maxima
/home/jacky/.emacs.d/straight/build/org/ob-java hides /usr/local/share/emacs/29.0.50/lisp/org/ob-java
/home/jacky/.emacs.d/straight/build/org/ob-js hides /usr/local/share/emacs/29.0.50/lisp/org/ob-js
/home/jacky/.emacs.d/straight/build/org/ob-table hides /usr/local/share/emacs/29.0.50/lisp/org/ob-table
/home/jacky/.emacs.d/straight/build/org/ol-irc hides /usr/local/share/emacs/29.0.50/lisp/org/ol-irc
/home/jacky/.emacs.d/straight/build/org/ob-lob hides /usr/local/share/emacs/29.0.50/lisp/org/ob-lob
/home/jacky/.emacs.d/straight/build/org/ob-plantuml hides /usr/local/share/emacs/29.0.50/lisp/org/ob-plantuml
/home/jacky/.emacs.d/straight/build/org/ob-ref hides /usr/local/share/emacs/29.0.50/lisp/org/ob-ref
/home/jacky/.emacs.d/straight/build/org/ol-rmail hides /usr/local/share/emacs/29.0.50/lisp/org/ol-rmail
/home/jacky/.emacs.d/straight/build/org/ob-julia hides /usr/local/share/emacs/29.0.50/lisp/org/ob-julia
/home/jacky/.emacs.d/straight/build/org/org-table hides /usr/local/share/emacs/29.0.50/lisp/org/org-table
/home/jacky/.emacs.d/straight/build/org/ob-exp hides /usr/local/share/emacs/29.0.50/lisp/org/ob-exp
/home/jacky/.emacs.d/straight/build/org/ob-groovy hides /usr/local/share/emacs/29.0.50/lisp/org/ob-groovy
/home/jacky/.emacs.d/straight/build/org/ox-man hides /usr/local/share/emacs/29.0.50/lisp/org/ox-man
/home/jacky/.emacs.d/straight/build/org/org-num hides /usr/local/share/emacs/29.0.50/lisp/org/org-num
/home/jacky/.emacs.d/straight/build/org/oc hides /usr/local/share/emacs/29.0.50/lisp/org/oc
/home/jacky/.emacs.d/straight/build/org/ob-sed hides /usr/local/share/emacs/29.0.50/lisp/org/ob-sed
/home/jacky/.emacs.d/straight/build/org/org-element hides /usr/local/share/emacs/29.0.50/lisp/org/org-element
/home/jacky/.emacs.d/straight/build/org/ob-org hides /usr/local/share/emacs/29.0.50/lisp/org/ob-org
/home/jacky/.emacs.d/straight/build/org/ob-shell hides /usr/local/share/emacs/29.0.50/lisp/org/ob-shell
/home/jacky/.emacs.d/straight/build/org/ol-bbdb hides /usr/local/share/emacs/29.0.50/lisp/org/ol-bbdb
/home/jacky/.emacs.d/straight/build/org/ob-core hides /usr/local/share/emacs/29.0.50/lisp/org/ob-core
/home/jacky/.emacs.d/straight/build/org/ob-fortran hides /usr/local/share/emacs/29.0.50/lisp/org/ob-fortran
/home/jacky/.emacs.d/straight/build/org/org-macs hides /usr/local/share/emacs/29.0.50/lisp/org/org-macs
/home/jacky/.emacs.d/straight/build/org/org-loaddefs hides /usr/local/share/emacs/29.0.50/lisp/org/org-loaddefs
/home/jacky/.emacs.d/straight/build/org/org-install hides /usr/local/share/emacs/29.0.50/lisp/org/org-install
/home/jacky/.emacs.d/straight/build/org/org-ctags hides /usr/local/share/emacs/29.0.50/lisp/org/org-ctags
/home/jacky/.emacs.d/straight/build/org/ob-sqlite hides /usr/local/share/emacs/29.0.50/lisp/org/ob-sqlite
/home/jacky/.emacs.d/straight/build/org/ob-dot hides /usr/local/share/emacs/29.0.50/lisp/org/ob-dot
/home/jacky/.emacs.d/straight/build/org/ob-python hides /usr/local/share/emacs/29.0.50/lisp/org/ob-python
/home/jacky/.emacs.d/straight/build/org/ob-ocaml hides /usr/local/share/emacs/29.0.50/lisp/org/ob-ocaml
/home/jacky/.emacs.d/straight/build/org/ox-icalendar hides /usr/local/share/emacs/29.0.50/lisp/org/ox-icalendar
/home/jacky/.emacs.d/straight/build/org/ob-eshell hides /usr/local/share/emacs/29.0.50/lisp/org/ob-eshell
/home/jacky/.emacs.d/straight/build/org/ol-w3m hides /usr/local/share/emacs/29.0.50/lisp/org/ol-w3m
/home/jacky/.emacs.d/straight/build/org/ob-screen hides /usr/local/share/emacs/29.0.50/lisp/org/ob-screen
/home/jacky/.emacs.d/straight/build/org/ob-css hides /usr/local/share/emacs/29.0.50/lisp/org/ob-css
/home/jacky/.emacs.d/straight/build/org/ob-lisp hides /usr/local/share/emacs/29.0.50/lisp/org/ob-lisp
/home/jacky/.emacs.d/straight/build/org/org-duration hides /usr/local/share/emacs/29.0.50/lisp/org/org-duration
/home/jacky/.emacs.d/straight/build/org/ob-ruby hides /usr/local/share/emacs/29.0.50/lisp/org/ob-ruby
/home/jacky/.emacs.d/straight/build/org/ob-tangle hides /usr/local/share/emacs/29.0.50/lisp/org/ob-tangle
/home/jacky/.emacs.d/straight/build/org/ox-odt hides /usr/local/share/emacs/29.0.50/lisp/org/ox-odt
/home/jacky/.emacs.d/straight/build/org/org-refile hides /usr/local/share/emacs/29.0.50/lisp/org/org-refile
/home/jacky/.emacs.d/straight/build/org/org-datetree hides /usr/local/share/emacs/29.0.50/lisp/org/org-datetree
/home/jacky/.emacs.d/straight/build/org/ox-koma-letter hides /usr/local/share/emacs/29.0.50/lisp/org/ox-koma-letter
/home/jacky/.emacs.d/straight/build/org/ol-info hides /usr/local/share/emacs/29.0.50/lisp/org/ol-info
/home/jacky/.emacs.d/straight/build/org/org-colview hides /usr/local/share/emacs/29.0.50/lisp/org/org-colview
/home/jacky/.emacs.d/straight/build/org/org-clock hides /usr/local/share/emacs/29.0.50/lisp/org/org-clock
/home/jacky/.emacs.d/straight/build/org/org-attach-git hides /usr/local/share/emacs/29.0.50/lisp/org/org-attach-git
/home/jacky/.emacs.d/straight/build/org/org hides /usr/local/share/emacs/29.0.50/lisp/org/org
/home/jacky/.emacs.d/straight/build/let-alist/let-alist hides /usr/local/share/emacs/29.0.50/lisp/emacs-lisp/let-alist
/home/jacky/.emacs.d/straight/build/eldoc/eldoc hides /usr/local/share/emacs/29.0.50/lisp/emacs-lisp/eldoc

Features:
(shadow mail-extr emacsbug helpful trace edebug info-look help-fns
elisp-refs mule-util orderless display-line-numbers init
init-shapeless-blog shapeless-blog shapeless-blog-autoloads init-ui
autorevert elec-pair time init-keybinding windmove init-helpers
shapeless-chinese init-exwm exwm-firefox exwm-firefox-core
exwm-firefox-autoloads exwm-firefox-core-autoloads exwm-edit
exwm-edit-autoloads exwm-randr xcb-randr exwm-xim xcb-xim xcb-xlib exwm
exwm-input xcb-keysyms xcb-xkb exwm-manage exwm-floating xcb-cursor
xcb-render exwm-layout exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb
xcb-xproto xcb-types xcb-debug exwm-autoloads xelb-autoloads
init-pixel-scroll-precision pixel-scroll cua-base init-sly sly
sly-completion sly-buttons sly-messages sly-common apropos arc-mode
archive-mode hyperspec sly-autoloads init-pass pass f f-shortdoc
shortdoc password-store with-editor pass-autoloads
password-store-otp-autoloads password-store-autoloads auth-source-pass
init-mentor mentor-autoloads async-autoloads xml-rpc-autoloads
init-lilypond lilypond-mode init-json json-mode-autoloads
json-snatcher-autoloads init-notmuch notmuch notmuch-tree notmuch-jump
notmuch-hello notmuch-show notmuch-print notmuch-crypto notmuch-mua
notmuch-message notmuch-draft notmuch-maildir-fcc notmuch-address
notmuch-company notmuch-parser notmuch-wash coolj notmuch-query
goto-addr icalendar diary-lib diary-loaddefs notmuch-tag crm notmuch-lib
notmuch-version notmuch-compat message yank-media rfc822 mml mailabbrev
gmm-utils mailheader mm-view mml-smime mml-sec gnus-util smime gnutls
dig mm-decode mm-bodies mm-encode init-vterm vterm face-remap color term
ehelp vterm-module cursor-sensor term/xterm xterm vterm-autoloads
init-magit magit-autoloads git-commit-autoloads with-editor-autoloads
init-w3m w3m doc-view timezone w3m-hist w3m-fb bookmark-w3m w3m-ems
w3m-favicon w3m-image tab-line w3m-proc w3m-util w3m-autoloads init-emms
emms-librefm-stream emms-librefm-scrobbler emms-playlist-limit emms-i18n
emms-history emms-score emms-stream-info emms-metaplaylist-mode
emms-bookmarks emms-cue emms-mode-line-icon emms-browser sort
emms-volume emms-volume-sndioctl emms-volume-mixerctl emms-volume-pulse
emms-volume-amixer emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd emms-lyrics emms-url emms-streams emms-show-all
emms-tag-editor emms-tag-tracktag emms-mark emms-mode-line emms-cache
emms-info-native bindat emms-info-exiftool emms-info-tinytag
emms-info-metaflac emms-info-opusinfo emms-info-ogginfo
emms-info-mp3info emms-playlist-mode emms-player-vlc emms-player-mpv
emms-playing-time emms-info emms-later-do emms-player-mplayer
emms-player-simple emms-source-playlist emms-source-file locate
emms-setup emms emms-compat emms-autoloads vc-mtn vc-hg vc-git diff-mode
vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs log-view pcvs-util vc
vc-dispatcher init-pdf pdf-view-restore-autoloads pdf-tools package
pdf-view jka-compr pdf-cache pdf-info tq pdf-util pdf-macs init-eglot
eglot array filenotify jsonrpc ert ewoc debug backtrace eglot-autoloads
jsonrpc-autoloads init-dart flutter flutter-l10n flutter-project
dart-mode dart-mode-autoloads init-hlsl cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs hlsl-mode
init-glsl align glsl-mode glsl-mode-autoloads init-yaml yaml-mode
yaml-mode-autoloads init-hackernews hackernews hackernews-autoloads
init-nov nov-xwidget xwidget url-handlers image-mode exif
nov-xwidget-autoloads nov recentf tree-widget imenu bookmark
nov-autoloads init-calibredb calibredb calibredb-dired calibredb-consult
calibredb-opds esxml esxml-query calibredb-org calibredb-library
calibredb-ivy calibredb-utils calibredb-annotation calibredb-transient
calibredb-helm calibredb-show calibredb-search calibredb-faces
calibredb-core sendmail mail-utils transient hl-line sql view s
calibredb-autoloads esxml-autoloads kv-autoloads request-autoloads
transient-autoloads init-web web-mode disp-table web-mode-autoloads
init-nginx nginx-mode nginx-mode-autoloads init-go go-mode find-file
ffap etags fileloop xref go-mode-autoloads init-swift
swift-mode-autoloads init-markdown markdown-mode-autoloads
init-shell-switcher shell-switcher rswitcher shell-switcher-autoloads
init-corfu corfu-history corfu corfu-autoloads init-cape cape-autoloads
init-flutter flutter-autoloads init-projectile projectile
projectile-autoloads init-framemove framemove init-inherit-org
inherit-org inherit-org-autoloads init-shrface shrface org-indent shr
pixel-fill kinsoku url-file url-dired svg xml dom browse-url
shrface-autoloads language-detection-autoloads init-ripgrep ripgrep grep
ripgrep-autoloads init-aggressive-indent aggressive-indent
aggressive-indent-autoloads init-helpful helpful-autoloads
elisp-refs-autoloads f-autoloads s-autoloads init-which-key which-key
which-key-autoloads init-consult init-embark embark-consult-autoloads
consult-autoloads embark-autoloads init-marginalia marginalia
marginalia-autoloads init-savehist savehist init-orderless
orderless-autoloads init-vertico vertico-directory vertico
vertico-autoloads init-yasnippet yasnippet yasnippet-autoloads
init-mood-line mood-line mood-line-autoloads init-blackout
blackout-autoloads init-ibuffer ibuf-macs ibuffer-project ibuf-ext
ibuffer ibuffer-loaddefs ibuffer-project-autoloads init-ediff ediff
ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init
ediff-util init-flymake flymake-proc flymake project compile
text-property-search flymake-autoloads project-autoloads xref-autoloads
eldoc-autoloads init-epa org-crypt server pinentry epa-file epa derived
epg rfc6068 epg-config pinentry-autoloads init-shell init-input-method
cangjie5 quail init-dired dired-x dired dired-loaddefs init-theme
shapeless-theme init-tramp tramp tramp-loaddefs trampver
tramp-integration cus-edit pp cus-load wid-edit files-x tramp-compat
parse-time iso8601 ls-lisp init-org org-present org-present-autoloads
htmlize htmlize-autoloads org-roam-migrate org-roam-mode
org-roam-capture org-roam-id org-roam-node org-roam-db org-roam-utils
org-roam-compat org-roam org-capture org-element org-persist xdg
avl-tree generator org-id org-refile emacsql-sqlite url-http url-auth
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
nsm rmc puny url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse auth-source
password-cache json map url-vars mailcap emacsql emacsql-compiler
magit-section eieio eieio-core eieio-loaddefs compat-27 compat-26 compat
dash org-roam-autoloads magit-section-autoloads compat-autoloads
emacsql-sqlite-autoloads emacsql-autoloads dash-autoloads edmacro kmacro
ox-slimhtml-autoloads org-pdftools-autoloads org-noter-autoloads
finder-inf pdf-tools-autoloads let-alist-autoloads tablist-autoloads
valign-autoloads ob-shell shell ob-dot org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
pcomplete comint ansi-color ring org-list org-faces org-entities
time-date noutline outline org-version ob-emacs-lisp ob-core ob-eval
org-cycle org-table ol org-fold org-fold-core org-keys oc org-compat
advice org-macs org-loaddefs format-spec find-func cal-menu calendar
cal-loaddefs init-leaf leaf-keywords leaf leaf-keywords-autoloads
leaf-autoloads init-straight straight-autoloads comp comp-cstr warnings
rx cl-extra straight info autoload loaddefs-gen radix-tree easy-mmode
cl-seq pcase checkdoc lisp-mnt thingatpt help-mode seq subr-x byte-opt
cl-macs gv cl-loaddefs cl-lib bytecomp byte-compile cconv iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads xwidget-internal dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit xinput2 x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 810942 185941)
 (symbols 48 58401 15)
 (strings 32 226374 41218)
 (string-bytes 1 6834081)
 (vectors 16 149047)
 (vector-slots 8 2787286 270610)
 (floats 8 730 636)
 (intervals 56 924 303)
 (buffers 992 28))




Acknowledgement sent to drshapeless <drsl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55804; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Jun 2022 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.